## zim 0.73.2

=== debian/changelog ===
zim (0.73.2-1) unstable; urgency=medium

  * New upstream version 0.73.2. Closes: #925399
  * Drop patches merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 08 Aug 2020 22:06:43 +0200

zim (0.72.1-1) unstable; urgency=medium

  * New upstream version.
  * Fix CVE-2020-10870: avoid temporary directories with predictable names
    (Closes: #954810)
  * Bump Standards-Version to 4.5.0

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 18 Apr 2020 15:21:24 +0200

=== debian/control ===
Source: zim
Section: x11
Priority: optional
Maintainer: Zim Package Maintainers <zim@packages.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper-compat (= 12), python3, python3-gi, python3-xdg, gir1.2-gtk-3.0, dh-python
Vcs-Git: https://salsa.debian.org/debian/zim.git
Vcs-Browser: https://salsa.debian.org/debian/zim
Homepage: http://zim-wiki.org
Standards-Version: 4.5.0

Package: zim
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-gi, python3-xdg, gir1.2-gtk-3.0, xdg-utils
# gir1.2-gtkspell3-3.0 required for the spell checker plugin
Recommends: gir1.2-gtkspell3-3.0
# graphviz required for the link map/diagram plugins
# bzr/git/mercurial/fossil required for the version control plugin
# scrot required for the screenshot plugin
# dvipng required for the "equation" plugin
# ditaa required for ditaa plugin
# python3-zeitgeist for "log evens with Zeitgeist" plugin
# gir1.2-gtksource-3.0 for "Source View" plugin
# r-base for "GNU R graph" plugin
# gnuplot for "Gnupolt graph" plugin
# lilypond for "music sheet" plugin
Suggests: bzr, git, mercurial, fossil, graphviz, ditaa, scrot, dvipng,
 gir1.2-gtksource-3.0, python3-zeitgeist, r-base, gnuplot, lilypond
Description: graphical text editor based on wiki technologies
 Zim is a graphical text editor used to maintain a collection of wiki pages.
 .
 Each page can contain links to other pages, simple formatting and inline
 images. Pages are stored in a folder structure, like in an outliner, and can
 have attachments. Creating a new page is as easy as linking to a nonexistent
 page.
 .
 All data is stored in plain text files with wiki formatting. Various
 plugins provide additional functionality, like a task list manager, an
 equation editor, a tray icon, and support for version control.
 .
 Zim can be used to:
  * Keep an archive of notes
  * Take notes during meetings or lectures
  * Organize task lists
  * Draft blog entries and emails
  * Do brainstorming

## zim 0.73.5

=== debian/changelog ===
zim (0.73.5-1) unstable; urgency=medium

  * New upstream version 0.73.5
  * Fix watch file to include trailing slash
  * Switch to debhelper compat level 13

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 03 Feb 2021 18:28:41 +0100

zim (0.73.4-1) unstable; urgency=medium

  * New upstream version 0.73.4
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1
  * Switch to https url in debian/watch

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 27 Nov 2020 11:35:03 +0100

zim (0.73.3-2) unstable; urgency=medium

  * Override XDG_RUNTIME_DIR to an existing path (Closes: #972858)

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 25 Oct 2020 14:59:08 +0100

zim (0.73.3-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Trim trailing whitespace.
  * Use https URL for upstream website
  * New upstream version 0.73.3

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Oct 2020 16:22:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Zim Package Maintainers <zim@packages.debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper-compat (= 12), python3, python3-gi, python3-xdg, gir1.2-gtk-3.0, dh-python
+Build-Depends: debhelper-compat (= 13), python3, python3-gi, python3-xdg, gir1.2-gtk-3.0, dh-python
 Vcs-Git: https://salsa.debian.org/debian/zim.git
 Vcs-Browser: https://salsa.debian.org/debian/zim
-Homepage: http://zim-wiki.org
-Standards-Version: 4.5.0
+Homepage: https://zim-wiki.org
+Standards-Version: 4.5.1
 
 Package: zim
 Architecture: all
@@ -19,7 +19,7 @@
 # scrot required for the screenshot plugin
 # dvipng required for the "equation" plugin
 # ditaa required for ditaa plugin
-# python3-zeitgeist for "log evens with Zeitgeist" plugin
+# python3-zeitgeist for "log events with Zeitgeist" plugin
 # gir1.2-gtksource-3.0 for "Source View" plugin
 # r-base for "GNU R graph" plugin
 # gnuplot for "Gnupolt graph" plugin

## zim 0.74.3

=== debian/changelog ===
zim (0.74.3-1) unstable; urgency=medium

  * New upstream version 0.74.3

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 06 Jan 2022 18:58:00 +0100

zim (0.74.2-1) unstable; urgency=medium

  * New upstream version 0.74.2
  * Bump Standards-Version to 4.6.0

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 17 Oct 2021 20:33:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Git: https://salsa.debian.org/debian/zim.git
 Vcs-Browser: https://salsa.debian.org/debian/zim
 Homepage: https://zim-wiki.org
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 
 Package: zim
 Architecture: all

## zim 0.75.1

=== debian/changelog ===
zim (0.75.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Mar 2023 15:07:55 -0800

zim (0.75.1-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * New upstream version 0.75.1
  * Add lintian overrides for source-is-missing on HTML templates
  * Add lintian override for debian-news-entry-has-unknown-version

  [ Debian Janitor ]
  * Update lintian override info format in d/zim.lintian-overrides on line 2.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 04 Jan 2023 21:40:51 +0100

=== debian/control ===
Source: zim
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Zim Package Maintainers <zim@packages.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               gir1.2-gtk-3.0,
               python3,
               python3-gi,
               python3-xdg
Vcs-Git: https://salsa.debian.org/debian/zim.git
Vcs-Browser: https://salsa.debian.org/debian/zim
Homepage: https://zim-wiki.org
Standards-Version: 4.6.1

Package: zim
Architecture: all
Depends: gir1.2-gtk-3.0,
         python3-gi,
         python3-xdg,
         xdg-utils,
         ${misc:Depends},
         ${python3:Depends},
          gir1.2-gtkspell3-3.0
Suggests: bzr,
          ditaa,
          dvipng,
          fossil,
          gir1.2-gtksource-3.0,
          git,
          gnuplot,
          graphviz,
          lilypond,
          mercurial,
          python3-zeitgeist,
          r-base,
          scrot
Description: graphical text editor based on wiki technologies
 Zim is a graphical text editor used to maintain a collection of wiki pages.
 .
 Each page can contain links to other pages, simple formatting and inline
 images. Pages are stored in a folder structure, like in an outliner, and can
 have attachments. Creating a new page is as easy as linking to a nonexistent
 page.
 .
 All data is stored in plain text files with wiki formatting. Various
 plugins provide additional functionality, like a task list manager, an
 equation editor, a tray icon, and support for version control.
 .
 Zim can be used to:
  * Keep an archive of notes
  * Take notes during meetings or lectures
  * Organize task lists
  * Draft blog entries and emails
  * Do brainstorming

## zim 0.75.2

=== debian/changelog ===
zim (0.75.2-1) unstable; urgency=medium

  * New upstream version 0.75.2
  * Bump Standards-Version to 4.6.2

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Sep 2023 19:27:58 +0200

=== debian/control ===
Source: zim
Section: x11
Priority: optional
Maintainer: Zim Package Maintainers <zim@packages.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper-compat (= 13), python3, python3-gi, python3-xdg, gir1.2-gtk-3.0, dh-python
Vcs-Git: https://salsa.debian.org/debian/zim.git
Vcs-Browser: https://salsa.debian.org/debian/zim
Homepage: https://zim-wiki.org
Standards-Version: 4.6.2

Package: zim
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-gi, python3-xdg, gir1.2-gtk-3.0, xdg-utils
# gir1.2-gtkspell3-3.0 required for the spell checker plugin
Recommends: gir1.2-gtkspell3-3.0
# graphviz required for the link map/diagram plugins
# bzr/git/mercurial/fossil required for the version control plugin
# scrot required for the screenshot plugin
# dvipng required for the "equation" plugin
# ditaa required for ditaa plugin
# python3-zeitgeist for "log events with Zeitgeist" plugin
# gir1.2-gtksource-3.0 for "Source View" plugin
# r-base for "GNU R graph" plugin
# gnuplot for "Gnupolt graph" plugin
# lilypond for "music sheet" plugin
Suggests: bzr, git, mercurial, fossil, graphviz, ditaa, scrot, dvipng,
 gir1.2-gtksource-3.0, python3-zeitgeist, r-base, gnuplot, lilypond
Description: graphical text editor based on wiki technologies
 Zim is a graphical text editor used to maintain a collection of wiki pages.
 .
 Each page can contain links to other pages, simple formatting and inline
 images. Pages are stored in a folder structure, like in an outliner, and can
 have attachments. Creating a new page is as easy as linking to a nonexistent
 page.
 .
 All data is stored in plain text files with wiki formatting. Various
 plugins provide additional functionality, like a task list manager, an
 equation editor, a tray icon, and support for version control.
 .
 Zim can be used to:
  * Keep an archive of notes
  * Take notes during meetings or lectures
  * Organize task lists
  * Draft blog entries and emails
  * Do brainstorming

## zim 0.76.0

=== debian/changelog ===
zim (0.76.0-1) unstable; urgency=medium

  * New upstream version 0.76.0. Closes: #1081661
  * Drop unused override, distutils is no longer used, setuptools is
  * Improve appstream file

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 27 Jan 2025 19:05:25 +0100

zim (0.75.2-2) unstable; urgency=medium

  * Add python3-setuptools build dependency (Closes: #1080843)
  * Bump Standards-Version to 4.7.0
  * Tweak lintian overrides

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 07 Sep 2024 13:55:30 +0200

## zim 0.76.1

=== debian/changelog ===
zim (0.76.1-1) unstable; urgency=medium

  * New upstream version 0.76.1
  * Add upstream patch to fix focus in quicknote plugin

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 17 Feb 2025 18:13:59 +0100

## zim 0.76.3

=== Makefile ===
PYTHON=`which python3`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/zim
PROJECT=zim

all:
	$(PYTHON) setup.py build

help:
	@echo "make - Build sources"
	@echo "make test - Run test suite"
	@echo "make install - Install on local system"
	@echo "make source - Create source package"
	@echo "make buildrpm - Generate a rpm package"
	@echo "make builddeb - Generate a deb package"
	@echo "make epydoc - Generate API docs using 'epydoc'"
	@echo "make clean - Get rid of scratch and byte files"

source:
	$(PYTHON) setup.py sdist $(COMPILE)

test:
	$(PYTHON) test.py

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE)

buildrpm:
	$(PYTHON) setup.py bdist_rpm --post-install=rpm/postinstall --pre-uninstall=rpm/preuninstall

builddeb:
	dpkg-buildpackage -i -I -rfakeroot
	$(MAKE) -f $(CURDIR)/debian/rules clean

epydoc:
	epydoc --config ./epydoc.conf -v
	@echo -e '\nAPI docs are available in ./apidocs'

clean:
	$(PYTHON) setup.py clean
	rm -rf build/ MANIFEST tests/tmp/ locale/ man/ xdg/hicolor test_report.html coverage/ html/
	find . -name '*.pyc' -delete
	find . -name '*.pyo' -delete
	find . -name '*~' -delete
	rm -fr debian/zim* debian/files debian/python-module-stampdir/
	rm -fr debian/.debhelper
	rm -fr debian/debhelper-build-stamp
	rm -fr .pybuild/

=== debian/changelog ===
zim (0.76.3-2) unstable; urgency=medium

  * Drop FSF address in copyright file, put an URL instead
  * Update Standards-Version to 4.7.2

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 12 Sep 2025 09:38:52 +0200

zim (0.76.3-1) unstable; urgency=medium

  * New upstream version 0.76.3
  * Remove patches merged upstream

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 29 Mar 2025 20:48:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Zim Package Maintainers <zim@packages.debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, python3-gi, python3-xdg, gir1.2-gtk-3.0, dh-python
+Build-Depends: debhelper-compat (= 13), python3, python3-setuptools, python3-gi, python3-xdg, gir1.2-gtk-3.0, dh-python
 Vcs-Git: https://salsa.debian.org/debian/zim.git
 Vcs-Browser: https://salsa.debian.org/debian/zim
 Homepage: https://zim-wiki.org
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: zim
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Zim build system requires those environment variables...
export USER=fake
export HOME=$(CURDIR)/debian/fake-home

# Work around https://bugs.debian.org/842565
export XDG_RUNTIME_DIR=$(CURDIR)/debian/fake-home

$(CURDIR)/debian/fake-home:
	mkdir $(CURDIR)/debian/fake-home

%: $(CURDIR)/debian/fake-home
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# Disable as it requires an X display
